#lib $caller
void Blur(void* image,int amount,int x,int y,int w,int h);
void FillConvexPolygon(void* image,int* x, int* y, int npoints, int col, float alpha);
void FillCircle(void* image,float cx, float cy, float r, int col, float alpha);
void DrawCircle(void* image,float cx, float cy, float r, int col, float alpha);
void DrawArc(void* image,float cx,float cy,float r,float minAngle,float maxAngle,int col,float alpha);
void FillTriangle(void* image,int x1, int y1, int x2, int y2, int x3, int y3, int col, float alpha);
void FillRectangle(void* image,int x,int y,int w,int h,int col,float alpha);
void DrawRectangle(void* image,int x, int y, int w, int h, int col, float alpha);
void LineTo(void* image,int x1, int y1, int x2, int y2, int col, float alpha);
int GetPixel(void* image,int x,int y);
void SetPixel(void* image,int x,int y,int col,float alpha);
int GetWidth(void* image);
int GetHeight(void* image);
void DebugOutString(char* text);
void DebugOutInt(int num);
void* LimeAlloc(int size);
void LimeFree(void* buff);
void* CreateImage(int w,int h);
void DeleteImage(void* image);
void* GetCurrentImage();
void SetCurrentImage(void* image);
void DrawImage(void* dest,int destX,int destY,int destW,int destH,void* src,int srcX,int srcY,int srcW,int srcH,float alpha);
void* LoadPNGImage(char* path);
void SavePNGImage(void* image,char* path);
void* LoadJPGImage(char* path);
void SaveJPGImage(void* image,char* path);
void WriteToFile(void* buffer,int size,char* path);
void RGB2HSV(int r, int g, int b, int* h, int* s, int* v);
void HSV2RGB(int h, int s, int v, int* r, int* g, int* b);
void* WriteGifBegin(char* path, int w, int h);
void WriteGifFrame(void* gifHandle,void* image,int delay);
void WriteGifEnd(void* gifHandle);
void* MakeFont(char* fontName,int size,bool bold,bool italic);
void DeleteFont(void* font);
void DrawString(void* image,void* font,char* text,int x,int y,int w,int h,int col,bool vcenter,bool hcenter);
#lib

// macros from LICE...
#define LIME_RGBA(r,g,b,a) (((b)&0xff)|(((g)&0xff)<<8)|(((r)&0xff)<<16)|(((a)&0xff)<<24))
#define LIME_GETB(v) ((v)&0xff)
#define LIME_GETG(v) (((v)>>8)&0xff)
#define LIME_GETR(v) (((v)>>16)&0xff)
#define LIME_GETA(v) (((v)>>24)&0xff)

